#!/bin/tcsh 

#csh -f 
# run_ti > & ! ti.log &

setenv mol system
setenv dir `pwd`
setenv gmx /home/sdonnin/GROMACS/gmx-3.3.3/bin

source /home/sdonnin/GROMACS/gmx-3.3.3/bin/GMXRC

set np = 1

set top_dir = ${dir}
set start=eq.gro

foreach l (0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0)

mkdir lambda_$l
cd lambda_$l

foreach a (1 2 3 4 5 6 7 8 9 10)
echo ${l} >> temp1
end

paste ${dir}/HIS.dat temp1 > temp2
rm -rf temp1

awk '{print "number="NR,(1-$8)*$3+$8*$6}' < temp2 > param-A.txt

foreach a (1 2 3 4 5 6 7 8 9 10)

more param-A.txt | grep "number=$a " > tmp
set qA$a=`awk '{print $2}' tmp`
rm -rf tmp

end

awk '{print "number="NR,(1-$8)*$5+$8*$7}' < temp2 > param-B.txt
rm -rf temp2


foreach a (1 2 3 4 5 6 7 8 9 10)

more param-B.txt | grep "number=$a " > tmp
set qB$a=`awk '{print $2}' tmp`
rm -rf tmp

end


cat > topol-1.top <<pluto
;
;       File 'topol.top' was generated
;       By user: onbekend (0)
;       On host: onbekend
;       At date: Thu Jun  5 09:24:29 2008
;
;       This is your topology file
;       "Confirmed" (Star Trek)
;
; Include forcefield parameters
#include "ffG53a6.itp"

[ moleculetype ]
; Name            nrexcl
Protein             3

[ atoms ]
;   nr       type  resnr residue  atom   cgnr     charge    mass  typeB  chargeB      massB
     1          H      1   HISH     HG      1    $qA1      1.008      H  $qB1     1.008; 0   14.0067 qtot 0
     2          C      1   HISH     CG      1    $qA2     12.011      C  $qB2    12.011; -0.05 qtot -0.05
     3         NR      1   HISH    ND1      1    $qA3    14.0067     NR  $qB3   14.0067; 0.38  qtot 0.33
     4          H      1   HISH    HD1      1    $qA4      1.008      H  $qB4     1.008; qtot 0.63
     5          C      1   HISH    CD2      1    $qA5     12.011      C  $qB5    12.011; qtot 0.53
     6         HC      1   HISH    HD2      1    $qA6      1.008     HC  $qB6     1.008; qtot 0.63
     7          C      1   HISH    CE1      1    $qA7     12.011      C  $qB7    12.011; -0.34 qtot 0.29
     8         HC      1   HISH    HE1      1    $qA8      1.008     HC  $qB8     1.008; qtot 0.39
     9         NR      1   HISH    NE2      1    $qA9    14.0067     NR  $qB9   14.0067; qtot 0.7
    10          H      1   HISH    HE2      1    $qA10     1.008      H  $qB10    1.008; qtot 1
pluto

cat topol-1.top ${dir}/topol-2.top > topol.top

##########################################
#
# eq 10 ps plus 100 ps slow growth in vacuum
#
##########################################


grompp -f ${top_dir}/eq.mdp -c ${top_dir}/${start} -p topol.top -np ${np} >& grompp_eq_log
mdrun -s topol.tpr >& mdrun_eq_log

grompp -f ${top_dir}/fep.mdp -c confout.gro -p topol.top -np ${np} >& grompp_fep_log
mdrun -s topol.tpr >& mdrun_fep_log


cd ../

end

